Skip to main content

Alter Database Properties (V2)

This operation alters the properties of the specified database.

POST/v2/vectordb/databases/alter
Connection Endpoint

The base URL for this API is in the following format:

https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

📘Notes
  • Use the cluster endpoint if you are using serving clusters.
    • Free & Serverless

      https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.com

    • Dedicated

      https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password. If you are using a project endpoint, only a valid API key with sufficient permissions applies.

Example Value: Bearer {{TOKEN}}
Request Body
dbNamestringrequired

The name of the new database to be created.

propertiesobjectrequired

The properties to be modified in key-value pairs.

database.replica.numberinteger

The number of replicas for the specified database.

database.resource_groupsstring

The names of the resource groups associated with the specified database in a common-separated list.

database.diskQuota.mbinteger

The maximum size of the disk space for the specified database, in megabytes (MB).

database.max.collectionsinteger

The maximum number of collections allowed in the specified database.

database.force.deny.writingboolean

Whether to force the specified database to deny writing operations.

database.force.deny.readingboolean

Whether to force the specified database to deny reading operations.

database.force.deny.ddlboolean

Whether to force the specified database to deny all DDL operations.

database.force.deny.collectionDDLboolean

Whether to force the specified database to deny collection DDL operations.

database.force.deny.partitionDDLboolean

Whether to force the specified database to deny partition DDL operations.

database.force.deny.indexboolean

Whether to force the specified database to deny index DDL operations.

database.force.deny.flushboolean

Whether to force the specified database to deny flush DDL operations.

database.force.deny.compactionboolean

Whether to force the specified database to deny compaction DDL operations.

timezonestring

The IANA Time Zone ID for the specified database.

cipher.enabledstring

Whether to enable CMEK encryption for the specified database. Set to "true" or "false".

cipher.keystring

The CMEK encryption root key for the specified database.

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/databases/alter" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "my_database",
"properties": {
"database.replica.number": 2
}
}'
Responses

Returns an empty response.

codeinteger

Response code.

dataobject

An empty response.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {}
}
Ctrl I